package de.ivu.elect.business.gebietsbaum.entity;

import java.io.Serializable;

import org.apache.commons.lang3.StringUtils;

public class SvgPathElement implements Serializable {

  private final String svgPath;

  private final long maxX;

  private final long maxY;

  public SvgPathElement(String svgPath, long maxX, long maxY) {
    this.svgPath = svgPath;
    this.maxX = maxX;
    this.maxY = maxY;
  }

  public String getSvgPath() {
    return svgPath;
  }

  public long getMaxX() {
    return maxX;
  }

  public long getMaxY() {
    return maxY;
  }

  public boolean isPathPresent() {
    return StringUtils.isNotBlank(svgPath);
  }
}
